//   Copyright 2007, 2008 Nicolas Dubuit
//
//     This file is part of Immix.
//
//     Immix is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <QMutex>
#include "ui_aligndialog.h"

class AlignmentManager ;

#ifndef ALIGNDIALOG_H
#define ALIGNDIALOG_H

class AlignDialog : public QDialog, public Ui::AlignDialog
{
     Q_OBJECT

    AlignmentManager* manager ;
    int max ;
    QMutex mutex ;

 public:
	AlignDialog (int, AlignmentManager*, QWidget *parent = 0);
    virtual ~AlignDialog (void){} ;

 public slots:
	void display (int) ;
    void displayAlignmentData (int, double, double, double, double) ;
    void finish (void) ;
 } ;

#endif 
