//   Copyright 2007, 2008 Nicolas Dubuit
//
//     This file is part of Immix.
//
//     Immix is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "immix.h"

#include <QApplication>
#include <QTranslator>
#include <QLocale>

#include <QPluginLoader>
#include <qplugin.h>
 
#if defined(Q_OS_WIN32) || defined(Q_OS_CYGWIN)
 Q_IMPORT_PLUGIN(qjpeg)
 Q_IMPORT_PLUGIN(qsvg)
#endif

int main (int argc, char **argv)
{
	QApplication app(argc, argv);

	// Loading locale parameters.
	QTranslator translator;
 	translator.load(QString(":/immix_") + QLocale::system().name());
	app.installTranslator(&translator);
	
	int err ;
	ImmixWin mainWin (err);
	if (err) return 1 ;
    app.setWindowIcon(QIcon(":/immix16.png")) ;
	return app.exec();
}
